CREATE TABLE ase_raa_version_history_tl (
    ID                       NUMBER        ,
    ENT_ROLE_DISP_NAME       VARCHAR2(3200),
    ENT_ROLE_DESC            VARCHAR2(4000),
    DUTY_ROLE_DISP_NAME      VARCHAR2(3200),
    DUTY_ROLE_DESC           VARCHAR2(4000),
    ENTITLEMENT_DISP_NAME    VARCHAR2(3200),
    ENTITLEMENT_DESC         VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ID                       NUMBER        ,
    ENT_ROLE_DISP_NAME       VARCHAR2(3200),
    ENT_ROLE_DESC            VARCHAR2(4000),
    DUTY_ROLE_DISP_NAME      VARCHAR2(3200),
    DUTY_ROLE_DESC           VARCHAR2(4000),
    ENTITLEMENT_DISP_NAME    VARCHAR2(3200),
    ENTITLEMENT_DESC         VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ase_raa_version_history_tl PRIMARY KEY (ID, LANGUAGE, ID, LANGUAGE)
);
